Skip to main content
Resource Center/Hardware/Primary Storage Operations/Shared Block Primary Storage Operations

AddSharedBlockToSharedBlockGroup

AddSharedBlockToSharedBlockGroup

POST/zstack/v1/primary-storage/sharedblockgroup/{uuid}/sharedblocks

Operation ID

AddSharedBlockToSharedBlockGroup

Since

2.3.2

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The LUN group UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • diskUuid
      StringRequired

      The unique identifier of the disk. For example, UUID, WWN, and WWID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The short description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    SharedBlockGroupPrimaryStorageInventoryRequired

    See inventory

    • uuid
      StringRequired

      The resource UUID.

    • zoneUuid
      StringRequired

      The zone UUID.

    • name
      StringRequired

      The resource name.

    • url
      StringRequired

      The reserved field.

    • description
      StringRequired

      The detailed description of the resource.

    • totalCapacity
      LongRequired

      The total capacity.

    • availableCapacity
      LongRequired

      The available capacity.

    • totalPhysicalCapacity
      LongRequired

      The total physical capacity.

    • availablePhysicalCapacity
      LongRequired

      The available physical capacity.

    • systemUsedCapacity
      LongRequired

      The system used capacity.

    • type
      StringRequired

      The type of the primary storage.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.

    • state
      StringRequired

      The state.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.

    • status
      StringRequired

      The status.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.

    • mountPath
      StringRequired

      The reserved field.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedClusterUuids
      ListRequired

      The attached cluster UUID list.

    • sharedBlocks
      ListRequired

      See sharedBlocks.

      • uuid
        StringRequired

        The resource UUID.

      • sharedBlockGroupUuid
        StringRequired

        The LUN group UUID.

      • diskUuid
        StringRequired

        The unique identifier of the disk. For example, UUID, WWN, and WWID.

      • name
        StringRequired

        The resource name.

      • description
        StringRequired

        The detailed description of the resource.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • type
        SharedBlockTypeRequired

        See type.

        • name
          StringRequired

          The resource name.

        • ordinal
          intRequired

          The ordinal number.

      • state
        SharedBlockStateRequired

        See state.

        • name
          StringRequired

          The resource name.

        • ordinal
          intRequired

          The ordinal number.

      • status
        SharedBlockStatusRequired

        See status.

        • name
          StringRequired

          The resource name.

        • ordinal
          intRequired

          The ordinal number.

    • sharedBlockGroupType
      SharedBlockGroupTypeRequired

      See sharedBlockGroupType.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.